PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::Region Struct Reference

`#include <plask/filters/base.hpp>`

Collaboration diagram for plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::Region:
[legend]

## Public Member Functions
| Region (const OutBox &inGeomBB, const OutVec &inTranslation)

## Public Attributes
OutBox | inGeomBB
| Input bounding-box in output geometry.
OutVec | inTranslation
| Translation to input object (before eventual space reduction).

## Detailed Description

template<typename PropertyT, typename OutputSpaceType, typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>
struct plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::Region

Definition at line 247 of file base.hpp.

## Constructor & Destructor Documentation

## ◆ Region()

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::Region::Region | ( | const OutBox & | inGeomBB,
|  | const OutVec & | inTranslation
| ) |  |
| inline

Definition at line 255 of file base.hpp.

## Member Data Documentation

## ◆ inGeomBB

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

OutBox plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::Region::inGeomBB

Input bounding-box in output geometry.

Definition at line 250 of file base.hpp.

## ◆ inTranslation

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

OutVec plask::InnerDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::Region::inTranslation

Translation to input object (before eventual space reduction).

Definition at line 253 of file base.hpp.

The documentation for this struct was generated from the following file:

- plask/filters/base.hpp